Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementgettagname Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementgettagname (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getTagName()" method returns the

tagName of an element.

Invoke the "getTagName()" method one the

root node. The value returned should be "staff".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-104682815

Definition at line 49 of file elementgettagname.java.

## Constructor & Destructor Documentation

elementgettagname::elementgettagname | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementgettagname.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String elementgettagname::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file elementgettagname.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementgettagname";
    00069    }

void elementgettagname::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file elementgettagname.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(elementgettagname.class,args);
    00072    }

void elementgettagname::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file elementgettagname.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       Element root;
    00060       String tagname;
    00061       doc = load("staff");
    00062       root = doc.getDocumentElement();
    00063       tagname = root.getTagName();
    00064       assertEquals("elementGetTagNameAssert","staff",tagname);
    00065
    00066    }

The documentation for this class was generated from the following file:

- elementgettagname.java